unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Unit1, ExtCtrls, StdCtrls;

type
  TForm2 = class(TForm)
    Button1: TButton;
    ListBox1: TListBox;
    ListBox2: TListBox;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure ListBox1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox2KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ListBox1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  f2:textfile;

implementation

{$R *.DFM}

procedure TForm2.Button1Click(Sender: TObject);
begin
  listbox1.Items.Add(inputbox(' (0-23),    ','',''));
  listbox2.Items.Add(inputbox('  ','',''));
end;

procedure TForm2.ListBox1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  listbox2.ItemIndex := listbox1.ItemIndex;
end;

procedure TForm2.ListBox2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  listbox1.ItemIndex := listbox2.ItemIndex;
end;

procedure TForm2.ListBox2KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  key:=0;
end;

procedure TForm2.ListBox1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  key:=0;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
  listbox1.Items.Delete(listbox1.itemindex);
  listbox2.Items.Delete(listbox2.itemindex);
end;

procedure TForm2.FormCreate(Sender: TObject);
var
  i:integer;
  tmax, t, curt, m1,s1,ms1:word;
  hr, mn, sc, ost :real;
  h,m,s:string;
  temp:string;
begin
  AssignFile(F,extractfilepath(application.exename)+'counter.ini');
  Reset(F);
  Readln(F,temp);
  Readln(F,temp);
  Readln(F,temp);
  Readln(F,temp);
  ttim := strtofloat(temp);
  Readln(F,temp);
  ost := strtofloat(temp);
  edit2.text := temp;
  form1.label4.Caption:=floattostr((int(ost*100)/100));

  hr := int(ttim/3600);
  mn := int((ttim-(hr*3600))/60);
  sc := int(ttim-(hr*3600)-(mn*60));
  if hr<10 then h:='0' else h:='';
  if mn<10 then m:='0' else m:='';
  if sc<10 then s:='0' else s:='';
  Edit1.text:=h+floattostr(hr)+':'+m+floattostr(mn)+':'+s+floattostr(sc);

  closefile(f);

  AssignFile(F2,extractfilepath(application.exename)+'tarif.ini');
  ReSet(F2);
  listbox1.Clear;
  listbox2.Clear;
  repeat
    ReadLn(F2,temp);
    listbox1.Items.Add(temp);
    ReadLn(F2,temp);
    listbox2.Items.Add(temp);
  until EOF(f2);
  CloseFile(F2);

  decodetime(time,curt,m1,s1,ms1);
  tmax:=strtoint(form2.listbox1.Items.Strings[0]);
  form1.label3.caption:=form2.ListBox2.Items.Strings[0];
  for i:= 0 to form2.listbox1.Items.Count-1 do
  begin
    t:=strtoint(form2.listbox1.Items.Strings[i]);
    if (t=curt) or
       ((curt<tmax) and (tmax<t)) or
       ((tmax<t) and (t<curt)) or
       ((t<curt) and (curt<tmax)) or
       ((tmax<curt) and (t<curt) and (t>tmax)) then
    begin
      tmax:=t;
      form1.label3.caption:=form2.ListBox2.Items.Strings[i];
    end;
  end;



end;

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
var
  i:integer;
begin
  AssignFile(F2,extractfilepath(application.exename)+'tarif.ini');
  rewrite(F2);

  for i:= 0 to listbox1.Items.Count-1 do
  begin
  try
    Writeln(F2,listbox1.Items.Strings[i]);
    Writeln(F2,listbox2.Items.Strings[i]);
  except
  end;
  end;
  closeFile(F2);

  try
    AssignFile(F,extractfilepath(application.exename)+'counter.ini');
    Rewrite(F);
    Writeln(F,form1.top);
    Writeln(F,form1.left);
    Writeln(F,'');
    Writeln(F,floattostr(ttim));
    Writeln(F,edit2.text);
    ost:=strtofloat(edit2.text);
  except
  end;
  CloseFile(F);

  form1.Timer2.Interval := 1000;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
form1.Timer2.interval := 0;
end;

end.
