unit Unit1;

interface

uses
  Windows, Registry, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, RXShell, ExtCtrls, ToolWin, ComCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    RxTrayIcon1: TRxTrayIcon;
    Timer2: TTimer;
    PopupMenu1: TPopupMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    Label2: TLabel;
    Label3: TLabel;
    Label1: TLabel;
    Label4: TLabel;
    N5: TMenuItem;
    Timer3: TTimer;
    procedure WMEndSession(var Msg:TWMEndSession);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure RxTrayIcon1DblClick(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure N3Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure N5Click(Sender: TObject);
    procedure Timer3Timer(Sender: TObject);
  private
    procedure WMNCRButtonUp(var M:TWMNCRButtonUp);message WM_NCRButtonUp;
    procedure WMNCHitTest(var m:twmnchittest);message wm_nchittest;
    procedure ApplicationMinimize(Sender : TObject);
    procedure ApplicationRestore(Sender : TObject);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Reg: TRegistry;
  inet:boolean;
  ttim, tim:real;
  F : TextFile;
  ost,cost:real;
implementation

uses Unit2, Unit3;

{$R *.DFM}
{$REALCOMPATIBILITY ON}

function GetTarif : real;
var
  i:integer;
  tmax, t, curt, m,s,ms:word;
begin
  decodetime(time,curt,m,s,ms);
  tmax:=strtoint(form2.listbox1.Items.Strings[0]);
  result:=strtoint(form2.ListBox2.Items.Strings[0]);
  for i:= 0 to form2.listbox1.Items.Count-1 do
  begin
    t:=strtoint(form2.listbox1.Items.Strings[i]);
    if (t=curt) or
       ((curt<tmax) and (tmax<t)) or
       ((tmax<t) and (t<curt)) or
       ((t<curt) and (curt<tmax)) or
       ((tmax<curt) and (t<curt) and (t>tmax)) then
    begin
      tmax:=t;
      result:=strtoint(form2.ListBox2.Items.Strings[i]);
    end;
  end;
end;

procedure TForm1.WMEndSession(var Msg: TWMEndSession);
begin
  form1.Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  temp:string;
begin
  form1.Width := 138;
  form1.Height := 14;
try
  AssignFile(F,extractfilepath(application.exename)+'counter.ini');
  Reset(F);
  Readln(F,temp);
  form1.Top := strtoint(temp);
  Readln(F,temp);
  form1.Left := strtoint(temp);
  Readln(F,temp);
  Readln(F,temp);
  ttim := strtoint(temp);
  Readln(F,temp);
  ost := strtofloat(temp);
except
end;
  closefile(f);
  Application.OnMinimize := ApplicationMinimize;
  Application.OnRestore := ApplicationRestore;

  inet :=false;
  Reg := TRegistry.Create;
  Reg.RootKey := HKEY_LOCAL_MACHINE;
  if not Reg.OpenKey('\System\CurrentControlSet\Services\RemoteAccess',True) then application.Terminate;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Reg.CloseKey;
  Reg.Free;

  AssignFile(F,extractfilepath(application.exename)+'counter.ini');
  Rewrite(F);
  Writeln(F,form1.top);
  Writeln(F,form1.left);
  Writeln(F,'');
  Writeln(F,floattostr(ttim));
  Writeln(F,floattostr(ost));
  CloseFile(F);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
//   
// 
var
 buf:integer;
begin
  reg.ReadBinaryData('Remote Connection',buf,reg.GetDataSize('Remote Connection'));
  if buf <> 0 then
  begin
    if not inet then
    begin
      cost:=0.01;
      inet :=true;
      Application.Restore;
      Application.BringToFront;
      RxTrayIcon1.Active := false;
      timer2.Enabled := true;
      timer3.Enabled := true;
    end;
  end
  else
  begin
    inet :=false;
    timer2.Enabled := false;
    timer3.Enabled := false;
    tim:=0;
  end;
end;

procedure tform1.WMNCRButtonUp(var M:TWMNCRButtonUp);
begin
  popupmenu1.Popup(m.XCursor,m.YCursor);
end;

procedure TForm1.WMNCHitTest(var M: TWMNCHitTest);
begin
inherited;
if m.Result = htclient then m.result:=htcaption;
end;

procedure TForm1.ApplicationMinimize(Sender : TObject);
begin
ShowWindow(Application.Handle, SW_HIDE);
RxTrayIcon1.Active := true;
end;

procedure TForm1.ApplicationRestore(Sender : TObject);
begin
ShowWindow(Application.Handle, SW_HIDE);
RxTrayIcon1.Active := true;
end;


procedure TForm1.RxTrayIcon1DblClick(Sender: TObject);
begin
Application.Restore;
form1.WindowState := wsNormal;
form1.Show;
Application.BringToFront;
RxTrayIcon1.Active := false;
end;

procedure TForm1.Timer2Timer(Sender: TObject);
//    
var
 hr, mn, sc :real;
 h,m,s:string;
begin
  tim:=tim+1;
  ttim:=ttim+1;
  hr := int(tim/3600);
  mn := int((tim-(hr*3600))/60);
  sc := int(tim-(hr*3600)-(mn*60));
  if hr<10 then h:='0' else h:='';
  if mn<10 then m:='0' else m:='';
  if sc<10 then s:='0' else s:='';
  label1.caption:=h+floattostr(hr)+':'+m+floattostr(mn)+':'+s+floattostr(sc);
  cost:=cost+gettarif/360000;  //     
  label2.caption:=floattostr(int(cost*100)/100);//   
  label3.caption:=floattostr(gettarif); //
  ost:=ost-gettarif/360000;   //-
  label4.Caption:=floattostr(int(ost*100)/100);
  rxtrayicon1.Hint := ' '+form1.label1.caption+'.  '+floattostr(gettarif/100)+'$/.  '+form1.label2.Caption +' .  '+label4.caption+'$.';
end;

procedure TForm1.N2Click(Sender: TObject);
begin
  application.Minimize;
end;

procedure TForm1.N3Click(Sender: TObject);
begin
Application.Restore;
Application.BringToFront;
RxTrayIcon1.Active := false;
end;

procedure TForm1.N4Click(Sender: TObject);
begin
form1.Close;
application.Terminate;
end;

procedure TForm1.N1Click(Sender: TObject);
begin
form2.Show;
end;

procedure TForm1.N5Click(Sender: TObject);
begin
  form3.show;
end;

procedure TForm1.Timer3Timer(Sender: TObject);
begin
  //     
  AssignFile(F,extractfilepath(application.exename)+'counter.ini');
  Rewrite(F);
  Writeln(F,form1.top);
  Writeln(F,form1.left);
  Writeln(F,'');
  Writeln(F,floattostr(ttim));
  Writeln(F,floattostr(ost));
  CloseFile(F);
end;

end.
